<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Team_won_ipl</title>
</head>
<body>
  <div id="container"></div>
  <script src="https://code.highcharts.com/highcharts.src.js"></script>
  <script>

async function getData()
{
    let response = await fetch('http://127.0.0.1:8000/iplapp/questions/two/')
    data = await response.json();
    matches_data = []
    for(key in data){
        team_data = {}
        team_data['name'] = key
        team_data['data'] = Object.values(data[key])
        matches_data.push(team_data)
    }
    return matches_data
}

async function graph(){
    let result = await getData();
    Highcharts.chart('container', {
    chart: {
        type: 'column'
    },
    title: {
        text: 'Team Won Ipl Per Year'
    },
    xAxis: {
        categories: [2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017],
        title:{
            text: 'Seasons',
            style: {
                color: 'black',
                fontSize: '20px',
            },
        }
    },
    yAxis: {
        min: 0,
        title: {
            text: 'Matches',
            style: {
                color: 'black',
                fontSize: '20px',
            },
        },
        stackLabels: {
            enabled: true,
            style: {
                fontWeight: 'bold',
                color: (
                    Highcharts.defaultOptions.title.style &&
                    Highcharts.defaultOptions.title.style.color
                ) || 'gray'
            }
        }
    },
    legend: {
        align: 'right',
        x: -30,
        verticalAlign: 'top',
        y: 25,
        floating: true,
        backgroundColor:
            Highcharts.defaultOptions.legend.backgroundColor || 'white',
        borderColor: '#CCC',
        borderWidth: 1,
        shadow: false
    },
    tooltip: {
        headerFormat: '<b>{point.x}</b><br/>',
        pointFormat: '{series.name}: {point.y}<br/>Total: {point.stackTotal}'
    },
    plotOptions: {
        column: {
            stacking: 'normal',
            dataLabels: {
                enabled: true
            }
        }
    },
    series: result,
});
    }
graph()

  </script>
</body>
</html>